OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.BufferStorage

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBBufferStorage :: MonadIO m => m Bool
- gl_ARB_buffer_storage :: Bool
- pattern GL_BUFFER_IMMUTABLE_STORAGE :: GLenum
- pattern GL_BUFFER_STORAGE_FLAGS :: GLenum
- pattern GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT :: GLbitfield
- pattern GL_CLIENT_STORAGE_BIT :: GLbitfield
- pattern GL_DYNAMIC_STORAGE_BIT :: GLbitfield
- pattern GL_MAP_COHERENT_BIT :: GLbitfield
- pattern GL_MAP_PERSISTENT_BIT :: GLbitfield
- pattern GL_MAP_READ_BIT :: GLbitfield
- pattern GL_MAP_WRITE_BIT :: GLbitfield
- glBufferStorage :: MonadIO m => GLenum -> GLsizeiptr -> Ptr a -> GLbitfield -> m ()

# Extension Support

glGetARBBufferStorage :: MonadIO m => m Bool Source #

Is the ARB_buffer_storage extension supported?

gl_ARB_buffer_storage :: Bool Source #

Is the ARB_buffer_storage extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBBufferStorage` in those cases instead.

# Enums

pattern GL_BUFFER_IMMUTABLE_STORAGE :: GLenum Source #

pattern GL_BUFFER_STORAGE_FLAGS :: GLenum Source #

pattern GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT :: GLbitfield Source #

pattern GL_CLIENT_STORAGE_BIT :: GLbitfield Source #

pattern GL_DYNAMIC_STORAGE_BIT :: GLbitfield Source #

pattern GL_MAP_COHERENT_BIT :: GLbitfield Source #

pattern GL_MAP_PERSISTENT_BIT :: GLbitfield Source #

pattern GL_MAP_READ_BIT :: GLbitfield Source #

pattern GL_MAP_WRITE_BIT :: GLbitfield Source #

# Functions

glBufferStorage Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferStorageTarget.
-> GLsizeiptr | `size`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLbitfield | `flags` of type BufferStorageMask.
-> m () |

Manual page for OpenGL 4.x.